Skip to content

Get an obligation

GET
/obligations/{obligation_id}
curl --request GET \
--url https://api.europlaybook.com/v1/obligations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
obligation_id
required
Obligation Id
string format: uuid

OK

Media typeapplication/json
ObligationOut
object
id
required
Id
string format: uuid
legal_entity_id
required
Legal Entity Id
string format: uuid
jurisdiction
required
Jurisdiction
string
regime
required
Regime
string
scope
required
Scope
string
status
required
Status

Shown status (see years for every derived year).

string
status_source
required
Status Source

Rule = derived; user = overridden by a person.

string
status_reason
required
Status Reason
string
status_year
Any of:
integer
since
Any of:
string format: date
pack_version
required
Pack Version
string
years
Years
Array<object>
default:
ObligationYearOut
object
year
required
Year
integer
status
required
Status

Needed, not_needed, unknown, … for that year.

string
reason_code
required
Reason Code

Stable code of the rule outcome.

string
reason_params
Reason Params
object
key
additional properties
any
status_reason
required
Status Reason

The reason in English.

string
rule_key
required
Rule Key

Knowledge-pack rule the status rests on.

string
verified
required
Verified

The rule and its figures are verified against sources.

boolean

Example

{
"id": "0199f5a2-7c1e-7b4a-9d0e-3f6c2a1b8e44",
"jurisdiction": "NL",
"regime": "epr.packaging",
"status": "needed",
"years": []
}

Bad Request

Media typeapplication/json
PublicErrorOut
object
detail
required
Detail

What went wrong, in English, for people and logs.

string
code
required
Code

Stable machine-readable error code; translate and branch on this.

string
params
Any of:
object
key
additional properties
any

Example

{
"detail": "This API key lacks the scope catalogue:write",
"code": "insufficient_scope",
"params": {
"required_scope": "catalogue:write"
}
}

Unauthorized

Media typeapplication/json
PublicErrorOut
object
detail
required
Detail

What went wrong, in English, for people and logs.

string
code
required
Code

Stable machine-readable error code; translate and branch on this.

string
params
Any of:
object
key
additional properties
any

Example

{
"detail": "This API key lacks the scope catalogue:write",
"code": "insufficient_scope",
"params": {
"required_scope": "catalogue:write"
}
}

Forbidden

Media typeapplication/json
PublicErrorOut
object
detail
required
Detail

What went wrong, in English, for people and logs.

string
code
required
Code

Stable machine-readable error code; translate and branch on this.

string
params
Any of:
object
key
additional properties
any

Example

{
"detail": "This API key lacks the scope catalogue:write",
"code": "insufficient_scope",
"params": {
"required_scope": "catalogue:write"
}
}

Not Found

Media typeapplication/json
PublicErrorOut
object
detail
required
Detail

What went wrong, in English, for people and logs.

string
code
required
Code

Stable machine-readable error code; translate and branch on this.

string
params
Any of:
object
key
additional properties
any

Example

{
"detail": "This API key lacks the scope catalogue:write",
"code": "insufficient_scope",
"params": {
"required_scope": "catalogue:write"
}
}

Conflict

Media typeapplication/json
PublicErrorOut
object
detail
required
Detail

What went wrong, in English, for people and logs.

string
code
required
Code

Stable machine-readable error code; translate and branch on this.

string
params
Any of:
object
key
additional properties
any

Example

{
"detail": "This API key lacks the scope catalogue:write",
"code": "insufficient_scope",
"params": {
"required_scope": "catalogue:write"
}
}

Unprocessable Content

Media typeapplication/json
PublicValidationErrorOut
object
detail
required
Detail

What went wrong, in English, for people and logs.

string
code
required
Code

Stable machine-readable error code; translate and branch on this.

string
params
Any of:
object
key
additional properties
any
errors
Errors

Per-field problems (pydantic format: loc, msg, type).

Array<object>
default:
object
key
additional properties
any

Example

{
"detail": "This API key lacks the scope catalogue:write",
"code": "insufficient_scope",
"params": {
"required_scope": "catalogue:write"
},
"errors": []
}

Too Many Requests

Media typeapplication/json
PublicErrorOut
object
detail
required
Detail

What went wrong, in English, for people and logs.

string
code
required
Code

Stable machine-readable error code; translate and branch on this.

string
params
Any of:
object
key
additional properties
any

Example

{
"detail": "This API key lacks the scope catalogue:write",
"code": "insufficient_scope",
"params": {
"required_scope": "catalogue:write"
}
}